Need to update from v3.0

Discussion in 'Questions or troubles updating' started by Brett Noel, Dec 8, 2008.

  1. Brett Noel

    Message Count:
    1
    Trophy Points:
    0
    Brand New to this site, I realized my version is 3.0 Do I need to update? and how do I do that?

    Thank you so much
     
  2. KD-did

    Message Count:
    8,654
    Trophy Points:
    63
    Gender:
    Female
    Welcome to the forum. Brett, you should update But be aware some of the fonts that are in your V3 will be lost.
    Go to http://www.thelogocreator.com/support/updates.html for updates. It is very important that you start with the oldest update first especially if your TLC is a retail (bought through a store.) That will make your V3.X to V4 , then V4 has to be updated to V5.X.
     

Share This Page